Loading...
Searching...
No Matches
pcm_rate.c File Reference
PCM Interface » PCM Plugins

PCM Rate Plugin Interface. More...

## Functions

const snd_config_t * | snd_pcm_rate_get_default_converter (snd_config_t *root)
| Get a default converter string.
int | snd_pcm_rate_open (snd_pcm_t **pcmp, const char *name, snd_pcm_format_t sformat, unsigned int srate, const snd_config_t *converter, snd_pcm_t *slave, int close_slave)
| Creates a new rate PCM.
int | _snd_pcm_rate_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new rate PCM.

## Detailed Description

PCM Rate Plugin Interface.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2000-2004

## Function Documentation

## snd_pcm_rate_get_default_converter()

const snd_config_t * snd_pcm_rate_get_default_converter | ( | snd_config_t * | root | ) |

Get a default converter string.

Parameters

  root | Root configuration node

Return values

  A | const config item if found, or NULL